Subject: Re: 25.1.50; encode-time returns wrong result

From: Paul Eggert <[email-masked]>
Date: Wed, 1 Jun 2016 23:38:23 -0700

Kazuhiro Ito wrote:

> Thank you for the fix.  The problem I showed in the bug report seems
> to be resolved.

Thanks, I installed the fix in master.

> But there still be a problem related timezone (I
> dont' know whether it is the same problem).  With your patch, the
> below code returns unexpected result.
>
> (list (progn (set-time-zone-rule 0)
> 	     (current-time-zone))
>        (progn (set-time-zone-rule "JST-9")
> 	     (current-time-zone))
>        (progn (set-time-zone-rule "<JST>-9")
> 	     (current-time-zone)))
>
> -> ((0 "ZZZ") (0 "ZZZ") (32400 "JST"))
>
> I want it to return '((0 "ZZZ") (32400 "JST") (32400 "JST"))'.

Yes, that's the correct result and it's what I observe on Ubuntu 16.04 x86-64. I 
don't offhand see how the just-installed patch would cause the wrong answer for 
the "JST-9" case, as the patch cannot make a difference unless TZ's value starts 
with "<".

Do you see the same (wrong) behavior for "JST-9" in the emacs-25 branch? In 
Emacs 24.5?